Index: uspace/lib/c/arch/abs32le/include/atomic.h
===================================================================
--- uspace/lib/c/arch/abs32le/include/atomic.h	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/arch/abs32le/include/atomic.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -36,5 +36,5 @@
 #define LIBC_abs32le_ATOMIC_H_
 
-#include <bool.h>
+#include <stdbool.h>
 
 #define LIBC_ARCH_ATOMIC_H_
Index: uspace/lib/c/arch/abs32le/src/entryjmp.c
===================================================================
--- uspace/lib/c/arch/abs32le/src/entryjmp.c	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/arch/abs32le/src/entryjmp.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -30,5 +30,5 @@
  */
 
-#include <bool.h>
+#include <stdbool.h>
 #include <entry_point.h>
 
Index: uspace/lib/c/arch/abs32le/src/fibril.c
===================================================================
--- uspace/lib/c/arch/abs32le/src/fibril.c	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/arch/abs32le/src/fibril.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -31,5 +31,5 @@
 
 #include <fibril.h>
-#include <bool.h>
+#include <stdbool.h>
 
 int context_save(context_t *ctx)
Index: uspace/lib/c/arch/abs32le/src/stacktrace.c
===================================================================
--- uspace/lib/c/arch/abs32le/src/stacktrace.c	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/arch/abs32le/src/stacktrace.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -32,5 +32,5 @@
 #include <sys/types.h>
 #include <unistd.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <stacktrace.h>
 
Index: uspace/lib/c/arch/amd64/src/stacktrace.c
===================================================================
--- uspace/lib/c/arch/amd64/src/stacktrace.c	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/arch/amd64/src/stacktrace.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -36,5 +36,5 @@
 
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 
 #include <stacktrace.h>
Index: uspace/lib/c/arch/arm32/include/atomic.h
===================================================================
--- uspace/lib/c/arch/arm32/include/atomic.h	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/arch/arm32/include/atomic.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -41,5 +41,5 @@
 
 #include <atomicdflt.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <sys/types.h>
 
Index: uspace/lib/c/arch/arm32/src/stacktrace.c
===================================================================
--- uspace/lib/c/arch/arm32/src/stacktrace.c	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/arch/arm32/src/stacktrace.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -36,5 +36,5 @@
 
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 
 #include <stacktrace.h>
Index: uspace/lib/c/arch/ia32/src/stacktrace.c
===================================================================
--- uspace/lib/c/arch/ia32/src/stacktrace.c	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/arch/ia32/src/stacktrace.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -37,5 +37,5 @@
 #include <libarch/config.h>
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <stacktrace.h>
 
Index: uspace/lib/c/arch/ia64/src/stacktrace.c
===================================================================
--- uspace/lib/c/arch/ia64/src/stacktrace.c	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/arch/ia64/src/stacktrace.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -36,5 +36,5 @@
 
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <errno.h>
 
Index: uspace/lib/c/arch/mips32/src/stacktrace.c
===================================================================
--- uspace/lib/c/arch/mips32/src/stacktrace.c	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/arch/mips32/src/stacktrace.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -36,5 +36,5 @@
 
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <errno.h>
 
Index: uspace/lib/c/arch/mips64/src/stacktrace.c
===================================================================
--- uspace/lib/c/arch/mips64/src/stacktrace.c	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/arch/mips64/src/stacktrace.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -36,5 +36,5 @@
 
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <errno.h>
 
Index: uspace/lib/c/arch/ppc32/src/stacktrace.c
===================================================================
--- uspace/lib/c/arch/ppc32/src/stacktrace.c	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/arch/ppc32/src/stacktrace.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -36,5 +36,5 @@
 
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 
 #include <stacktrace.h>
Index: uspace/lib/c/arch/sparc64/src/stacktrace.c
===================================================================
--- uspace/lib/c/arch/sparc64/src/stacktrace.c	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/arch/sparc64/src/stacktrace.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -35,5 +35,5 @@
 
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <libarch/stack.h>
 #include <errno.h>
Index: uspace/lib/c/generic/adt/list.c
===================================================================
--- uspace/lib/c/generic/adt/list.c	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/generic/adt/list.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -40,5 +40,5 @@
 
 #include <adt/list.h>
-#include <bool.h>
+#include <stdbool.h>
 
 /** Check for membership
Index: uspace/lib/c/generic/async.c
===================================================================
--- uspace/lib/c/generic/async.c	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/generic/async.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -109,5 +109,5 @@
 #include <sys/time.h>
 #include <libarch/barrier.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <malloc.h>
 #include <mem.h>
Index: uspace/lib/c/generic/devman.c
===================================================================
--- uspace/lib/c/generic/devman.c	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/generic/devman.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -45,5 +45,5 @@
 #include <errno.h>
 #include <malloc.h>
-#include <bool.h>
+#include <stdbool.h>
 
 static FIBRIL_MUTEX_INITIALIZE(devman_driver_block_mutex);
Index: uspace/lib/c/generic/double_to_str.c
===================================================================
--- uspace/lib/c/generic/double_to_str.c	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/generic/double_to_str.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -34,5 +34,5 @@
 #include <stdint.h>
 #include <assert.h>
-#include <bool.h>
+#include <stdbool.h>
 
 /*
Index: uspace/lib/c/generic/io/chargrid.c
===================================================================
--- uspace/lib/c/generic/io/chargrid.c	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/generic/io/chargrid.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -37,5 +37,5 @@
 #include <unistd.h>
 #include <assert.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <as.h>
 #include <io/chargrid.h>
Index: uspace/lib/c/generic/io/io.c
===================================================================
--- uspace/lib/c/generic/io/io.c	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/generic/io/io.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -39,5 +39,5 @@
 #include <str.h>
 #include <errno.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <malloc.h>
 #include <async.h>
Index: uspace/lib/c/generic/loc.c
===================================================================
--- uspace/lib/c/generic/loc.c	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/generic/loc.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -37,5 +37,5 @@
 #include <errno.h>
 #include <malloc.h>
-#include <bool.h>
+#include <stdbool.h>
 
 static FIBRIL_MUTEX_INITIALIZE(loc_supp_block_mutex);
Index: uspace/lib/c/generic/malloc.c
===================================================================
--- uspace/lib/c/generic/malloc.c	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/generic/malloc.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -35,5 +35,5 @@
 
 #include <malloc.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <as.h>
 #include <align.h>
Index: uspace/lib/c/generic/private/async.h
===================================================================
--- uspace/lib/c/generic/private/async.h	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/generic/private/async.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -41,5 +41,5 @@
 #include <fibril_synch.h>
 #include <sys/time.h>
-#include <bool.h>
+#include <stdbool.h>
 
 /** Structures of this type are used to track the timeout events. */
Index: uspace/lib/c/generic/sysinfo.c
===================================================================
--- uspace/lib/c/generic/sysinfo.c	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/generic/sysinfo.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -38,5 +38,5 @@
 #include <errno.h>
 #include <malloc.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <unistd.h>
 
Index: uspace/lib/c/generic/time.c
===================================================================
--- uspace/lib/c/generic/time.c	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/generic/time.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -37,5 +37,5 @@
 #include <sys/time.h>
 #include <time.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <libarch/barrier.h>
 #include <macros.h>
Index: uspace/lib/c/include/adt/hash_table.h
===================================================================
--- uspace/lib/c/include/adt/hash_table.h	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/include/adt/hash_table.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -40,5 +40,5 @@
 #include <adt/list.h>
 #include <unistd.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <macros.h>
 
Index: uspace/lib/c/include/async.h
===================================================================
--- uspace/lib/c/include/async.h	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/include/async.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -44,5 +44,5 @@
 #include <sys/time.h>
 #include <atomic.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <task.h>
 
Index: uspace/lib/c/include/atomicdflt.h
===================================================================
--- uspace/lib/c/include/atomicdflt.h	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/include/atomicdflt.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -41,5 +41,5 @@
 
 #include <stdint.h>
-#include <bool.h>
+#include <stdbool.h>
 
 typedef struct atomic {
Index: uspace/lib/c/include/bd_srv.h
===================================================================
--- uspace/lib/c/include/bd_srv.h	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/include/bd_srv.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -39,5 +39,5 @@
 #include <async.h>
 #include <fibril_synch.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <sys/types.h>
 
Index: uspace/lib/c/include/bool.h
===================================================================
--- uspace/lib/c/include/bool.h	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ 	(revision )
@@ -1,47 +1,0 @@
-/*
- * Copyright (c) 2006 Martin Decky
- * All rights reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * - Redistributions of source code must retain the above copyright
- *   notice, this list of conditions and the following disclaimer.
- * - Redistributions in binary form must reproduce the above copyright
- *   notice, this list of conditions and the following disclaimer in the
- *   documentation and/or other materials provided with the distribution.
- * - The name of the author may not be used to endorse or promote products
- *   derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
- * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
- * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
- * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
- * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
- * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- */
-
-/** @addtogroup libc
- * @{
- */
-/** @file
- */
-
-#ifndef LIBC_BOOL_H_
-#define LIBC_BOOL_H_
-
-#include <libarch/types.h>
-#include <abi/bool.h>
-
-#define false  0
-#define true   1
-
-#endif
-
-/** @}
- */
Index: uspace/lib/c/include/cfg.h
===================================================================
--- uspace/lib/c/include/cfg.h	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/include/cfg.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -41,5 +41,5 @@
 #include <adt/list.h>
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 
 /**
Index: uspace/lib/c/include/ddi.h
===================================================================
--- uspace/lib/c/include/ddi.h	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/include/ddi.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -36,5 +36,5 @@
 #define LIBC_DDI_H_
 
-#include <bool.h>
+#include <stdbool.h>
 #include <sys/types.h>
 #include <sys/time.h>
Index: uspace/lib/c/include/device/hw_res.h
===================================================================
--- uspace/lib/c/include/device/hw_res.h	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/include/device/hw_res.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -38,5 +38,5 @@
 #include <ipc/dev_iface.h>
 #include <async.h>
-#include <bool.h>
+#include <stdbool.h>
 
 #define DMA_MODE_ON_DEMAND  0
Index: uspace/lib/c/include/devman.h
===================================================================
--- uspace/lib/c/include/devman.h	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/include/devman.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -40,5 +40,5 @@
 #include <ipc/loc.h>
 #include <async.h>
-#include <bool.h>
+#include <stdbool.h>
 
 extern async_exch_t *devman_exchange_begin_blocking(devman_interface_t);
Index: uspace/lib/c/include/fibril_synch.h
===================================================================
--- uspace/lib/c/include/fibril_synch.h	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/include/fibril_synch.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -40,5 +40,5 @@
 #include <libarch/tls.h>
 #include <sys/time.h>
-#include <bool.h>
+#include <stdbool.h>
 
 typedef struct {
Index: uspace/lib/c/include/ieee_double.h
===================================================================
--- uspace/lib/c/include/ieee_double.h	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/include/ieee_double.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -31,5 +31,5 @@
 
 #include <stdint.h>
-#include <bool.h>
+#include <stdbool.h>
 
 /** Represents a non-negative floating point number: significand * 2^exponent */
Index: uspace/lib/c/include/inet/iplink_srv.h
===================================================================
--- uspace/lib/c/include/inet/iplink_srv.h	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/include/inet/iplink_srv.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -38,5 +38,5 @@
 #include <async.h>
 #include <fibril_synch.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <sys/types.h>
 
Index: uspace/lib/c/include/io/charfield.h
===================================================================
--- uspace/lib/c/include/io/charfield.h	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/include/io/charfield.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -38,5 +38,5 @@
 
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <io/color.h>
 #include <io/style.h>
Index: uspace/lib/c/include/io/con_srv.h
===================================================================
--- uspace/lib/c/include/io/con_srv.h	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/include/io/con_srv.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -44,5 +44,5 @@
 #include <io/pixel.h>
 #include <io/style.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <sys/time.h>
 #include <sys/types.h>
Index: uspace/lib/c/include/io/console.h
===================================================================
--- uspace/lib/c/include/io/console.h	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/include/io/console.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -41,5 +41,5 @@
 #include <io/keycode.h>
 #include <async.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <stdio.h>
 
Index: uspace/lib/c/include/io/window.h
===================================================================
--- uspace/lib/c/include/io/window.h	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/include/io/window.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -36,5 +36,5 @@
 #define LIBC_IO_WINDOW_H_
 
-#include <bool.h>
+#include <stdbool.h>
 #include <sys/types.h>
 #include <async.h>
Index: uspace/lib/c/include/ipc/vfs.h
===================================================================
--- uspace/lib/c/include/ipc/vfs.h	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/include/ipc/vfs.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -38,5 +38,5 @@
 #include <ipc/common.h>
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 
 #define FS_NAME_MAXLEN  20
Index: uspace/lib/c/include/loc.h
===================================================================
--- uspace/lib/c/include/loc.h	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/include/loc.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -38,5 +38,5 @@
 #include <ipc/loc.h>
 #include <async.h>
-#include <bool.h>
+#include <stdbool.h>
 
 typedef void (*loc_cat_change_cb_t)(void);
Index: uspace/lib/c/include/nic/nic.h
===================================================================
--- uspace/lib/c/include/nic/nic.h	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/include/nic/nic.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -40,5 +40,5 @@
 
 #include <nic/eth_phys.h>
-#include <bool.h>
+#include <stdbool.h>
 
 /** Ethernet address length. */
Index: uspace/lib/c/include/rtld/dynamic.h
===================================================================
--- uspace/lib/c/include/rtld/dynamic.h	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/include/rtld/dynamic.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -36,5 +36,5 @@
 #define LIBC_RTLD_DYNAMIC_H_
 
-#include <bool.h>
+#include <stdbool.h>
 #include <rtld/elf_dyn.h>
 #include <libarch/rtld/dynamic.h>
Index: uspace/lib/c/include/sort.h
===================================================================
--- uspace/lib/c/include/sort.h	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/include/sort.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -37,5 +37,5 @@
 
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 
 typedef int (* sort_cmp_t)(void *, void *, void *);
Index: uspace/lib/c/include/stacktrace.h
===================================================================
--- uspace/lib/c/include/stacktrace.h	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/include/stacktrace.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -38,5 +38,5 @@
 
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 
 typedef struct {
Index: uspace/lib/c/include/stats.h
===================================================================
--- uspace/lib/c/include/stats.h	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/include/stats.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -39,5 +39,5 @@
 #include <thread.h>
 #include <stdint.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <sys/types.h>
 #include <abi/sysinfo.h>
Index: uspace/lib/c/include/stdbool.h
===================================================================
--- uspace/lib/c/include/stdbool.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
+++ uspace/lib/c/include/stdbool.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -0,0 +1,49 @@
+/*
+ * Copyright (c) 2006 Martin Decky
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ *
+ * - Redistributions of source code must retain the above copyright
+ *   notice, this list of conditions and the following disclaimer.
+ * - Redistributions in binary form must reproduce the above copyright
+ *   notice, this list of conditions and the following disclaimer in the
+ *   documentation and/or other materials provided with the distribution.
+ * - The name of the author may not be used to endorse or promote products
+ *   derived from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
+ * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
+ * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+ * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
+ * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+ * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+ * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+ * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+ * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
+/** @addtogroup libc
+ * @{
+ */
+/** @file
+ */
+
+#ifndef LIBC_BOOL_H_
+#define LIBC_BOOL_H_
+
+#include <libarch/types.h>
+#include <abi/bool.h>
+
+#define false  0
+#define true   1
+
+#define __bool_true_false_are_defined 1
+
+#endif
+
+/** @}
+ */
Index: uspace/lib/c/include/str.h
===================================================================
--- uspace/lib/c/include/str.h	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/include/str.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -39,5 +39,5 @@
 #include <mem.h>
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 
 #define U_SPECIAL  '?'
Index: uspace/lib/c/include/sys/stat.h
===================================================================
--- uspace/lib/c/include/sys/stat.h	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/include/sys/stat.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -37,5 +37,5 @@
 
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <ipc/vfs.h>
 #include <ipc/loc.h>
Index: uspace/lib/c/include/sysinfo.h
===================================================================
--- uspace/lib/c/include/sysinfo.h	(revision 69c1995350adfe31ce9f6f2a6810575aa43f26bf)
+++ uspace/lib/c/include/sysinfo.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -37,5 +37,5 @@
 
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <abi/sysinfo.h>
 
